For Developers

List Team Integrations

GET https://ed.link/api/v2/teams/:team_id/integrations

Returns integrations visible to the team. For developer teams, integrations are scoped to applications owned by the team. For district teams, integrations are scoped to sources owned by the team.

Each result includes nested application, source, team, provider, gateway, total, and optional materialization summary fields. Supports search, filtering, and cursor pagination.

Requires the integrations.read system permission.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/integrations`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    },
    params: { $count: 25 }
});

Sample Response

{
    "$data": [
        {
            "id": "77a69705-41a7-49cb-0fe8-ffd425f9716f",
            "state": "active",
            "created_date": "2023-11-12T20:23:16.080Z",
            "updated_date": "2024-09-23T18:20:59.802Z",
            "billing_category": "standard",
            "region": { "id": "us-central1-a" },
            "application": {
                "id": "035d6dd6-1569-47b2-8ed8-63435be58078",
                "name": "My Learning App",
                "state": "released"
            },
            "source": {
                "id": "5d149266-95d2-42cf-8660-8b528b3bfba3",
                "name": "Edlink University Canvas",
                "state": "active",
                "provider_id": "035d6dd6-1569-47b2-8ed8-63435be58078"
            },
            "team": {
                "id": "d078e26d-9fcc-4f2b-b19f-430891906061",
                "name": "Edlink University",
                "alias": "edu",
                "verified": true
            },
            "provider": { "id": "035d6dd6-1569-47b2-8ed8-63435be58078" },
            "gateway": null,
            "total": { "people": 12450 },
            "materialization": {
                "id": "8c3ec9f4-01e5-4cde-8fb1-86172257fde5",
                "state": "complete",
                "created_date": "2026-08-10T12:00:00.000Z",
                "updated_date": "2026-08-10T12:30:00.000Z"
            }
        }
    ]
}